/*
 * Led_Counter.c: Program to demonstrate binary upcounter
 *
 * Created: 11/6/2012 7:58:44 PM
 *  Author: xplore_labz
 * note: Leds can be connected to any of the ports as all the ports are blinked
 */ 

/* io.h contains the defnition of all ports and SFRs 
   delay.h contains the in built delay routines(us and ms routines)*/
#include <avr\io.h> 
#include <util\delay.h> 


/* start the main program */
int main() 
{
  unsigned char cnt=0;
  
  /* Configure all the ports as output */
  DDRA=0xff;
  DDRB=0xff;
  DDRC=0xff;
  DDRD=0xff;

  while(1)
    {


	 /* Turn off all the leds and wait for one second */
	   PORTA=cnt;
	   PORTB=cnt;
	   PORTC=cnt;
	   PORTD=cnt;				   

     /* Increment the counter after 1-sec */ 
	   _delay_ms(1000);
        cnt++;
	  }

    return 0;
  }
