/*-----------------------------------------------------------------------------
   Program to demonstrate 4digit counter on 4-SevenSegment(CommonAnode) display
  -----------------------------------------------------------------------------
  note:
Code is for CommonAnode type of segment, fire_code[] and help_code[] must be complemented for CommonCathode
------------------------------------------------------------------------------*/

																	
/* io.h contains the defnition of all ports and SFRs */
#include <avr\io.h> 

#include <util\delay.h>	//Delay library which conatins the delay routines

#define SegmentValue PORTA
#define SegmentSlection PORTD

#define SegOne   0x01
#define SegTwo   0x02
#define SegThree 0x04
#define SegFour  0x08	 
#define NoSeg    0x00


void display(unsigned char seg_code[])
{						   
	unsigned char i;
								  
   for(i=0;i<100;i++)	   
   	 { 
	   SegmentSlection=SegOne;
	   SegmentValue = seg_code[0];
	   _delay_ms(1);
   
	   SegmentSlection=SegTwo;
	   SegmentValue = seg_code[1];
	   _delay_ms(1);
 
	   SegmentSlection=SegThree;
	   SegmentValue = seg_code[2];
	   _delay_ms(1);

	   SegmentSlection=SegFour; 
	   SegmentValue = seg_code[3];
	   _delay_ms(1);
	   }
	 /* Deselect all the segments */  
	 SegmentSlection=NoSeg;  
 }
/* start the main program */
void main() 
{
    unsigned char fire_code[]={0x71,0x06,0x50,0x79},help_code[]={0x76,0x79,0x38,0x73};
	/*Configure the ports as Output */
	DDRA=0xff;
	DDRD=0xff;	
   while(1)
    {
          display(fire_code);
	    	_delay_ms(500);

           display(help_code);
	    	_delay_ms(500);
	  }																			 
  }										