/*-----------------------------------------------------------------------------
                 Program to demonstrate Switches and Leds
  -----------------------------------------------------------------------------
 
note: 
1.Leds are  connected to PORTC
2.Switches are connected to PORTA

------------------------------------------------------------------------------*/


/* io.h contains the defnition of all ports and SFRs */
#include <avr\io.h> 
#include <util\delay.h> 

#define Switches PINA
#define LEDs PORTC

/* start the main program */
void main() 
{
   unsigned char SwitchData;

  /*Configure the PINA as I/p to read the switch data */ 
   DDRA=0x00;
   DDRC=0xff;

  while(1)
    {
	  
	  /*Read the switch position */ 
	   SwitchData =  Switches; 
	 
	 /*Turn on the respective led depending on Switch position */ 
	   LEDs=SwitchData;
	  }
  }